%define major 0
%define libname %mklibname mt_client %major

Summary: The Maitretarot client library
Name: libmt_client
Version: 0.1.98
Release: %mkrel 11
License: GPLv2+
Group: Games/Cards
Source: http://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
Patch0: libmt_client-0.1.98-str-fmt.patch
URL: http://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libmaitretarot-devel

%description
Maitretarot is a tarot server game. Libmt_client is a library
for the client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmt_client
est une biblothque pour les logiciels client.

%package -n %libname
Summary: The Maitretarot client library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmt_client is a library
for any client.

%description -n %libname -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmt_client
est une biblothque pour les logiciels client.

%package -n %libname-devel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %libname-devel
This package is need to build application wich use Libmt_client.

%description -n %libname-devel -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmt_client.

%prep
%setup -q
%patch0 -p0 -b .strfmt

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS ChangeLog
%{_libdir}/*.so.%{major}*

%files -n %libname-devel
%{_libdir}/*.so
%{_includedir}/mt_client.h



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.1.98-11.mga3
+ Revision: 357808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 0.1.98-10.mga3
+ Revision: 335855
- disable static build and get rid of .la files
- clean .spec a bit

* Sat May 14 2011 nanardon <nanardon> 0.1.98-9.mga1
+ Revision: 98739
- imported package libmt_client

